Bug 806929 - qpid win-sdk libraries should have tag which allows matching versions across platforms
qpid win-sdk libraries should have tag which allows matching versions across ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-sdk (Show other bugs)
Development
Unspecified Windows
medium Severity medium
: 2.1.2
: ---
Assigned To: Chuck Rolke
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 10:28 EDT by Frantisek Reznicek
Modified: 2015-11-15 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2012-03-26 10:28:31 EDT
Description of problem:

qpid win-sdk version is going independently from qpid versioning, this can cause troubles in matching win and linux releases.

To be able to match releases I propose that every qpid win-sdk library should have tag which allows matching versions across platforms.

For instance as of today:

qpid-cpp-win-3.0.0.2-1 (qpid-cpp-*0.14-14.el5)
  bin/*/qmf.dll                (*)
  bin/*/qmfconsole.dll         (*)
  bin/*/qmfengine.dll          (*)
  bin/*/qpidbroker.dll         (*)
  bin/*/qpidclient.dll         (*)
  bin/*/qpidcommon.dll         (*)
  bin/*/qpidmessaging.dll      (*)
  bin/*/qpidtypes.dll          (*)

  bin/*/qpidxarm.dll
  bin/*/org.apache.qpid.messaging.dll
  bin/*/org.apache.qpid.messaging.sessionreceiver.dll


(*)
All win dlls are having following executable file (MZ) tags:
  File version      3, 0, 0, 2
  Internal name
  Language
  Original File name
  Product Name
  Product Version   3, 0, 0, 2

  
qpid-cpp*-0.14-14.el5
  /usr/lib/libqpidclient.so.6
  /usr/lib/libqpidclient.so.6.0.0
  /usr/lib/libqpidcommon.so.6
  /usr/lib/libqpidcommon.so.6.0.0
  /usr/lib/libqpidmessaging.so.3
  /usr/lib/libqpidmessaging.so.3.2.0
  /usr/lib/libqpidtypes.so.1
  /usr/lib/libqpidtypes.so.1.2.0

qpid-qmf*-0.14-3.el5
  /usr/lib/libqmf.so.4
  /usr/lib/libqmf.so.4.0.0
  /usr/lib/libqmf2.so.1
  /usr/lib/libqmf2.so.1.0.0
  /usr/lib/libqmfconsole.so.5
  /usr/lib/libqmfconsole.so.5.0.0
  /usr/lib/libqmfengine.so.4
  /usr/lib/libqmfengine.so.4.0.0


There should be one new tag with corresponding library versions.
I also propose to change Product Version to 0, 14, 14, 0 to match with qpid-cpp-*0.14-14.el5.



Version-Release number of selected component (if applicable):
qpid-cpp-win-3.0.0.2-1, qpid-cpp-mrg-0.14-14.el5, qpid-qmf-0.14-3.el5

How reproducible:
N/A

Steps to Reproduce:
1. See properties on qpidcommon.dll
  
Actual results:
qpid win-sdk libraries don't contain library version information similar to libs on Linux.

Expected results:
qpid win-sdk libraries should contain library version information similar to libs on Linux.

Additional info:
Comment 1 Justin Ross 2012-04-23 13:16:49 EDT
Chuck, is this already done for the 0.14 builds?
Comment 2 Chuck Rolke 2012-04-25 08:41:22 EDT
This is present in WinSDK 3.0.0.4.
Each of the messaging libraries has
  File version: 3.0.0.4
  Product version: 0.14.16.1

Note You need to log in before you can comment on or make changes to this bug.